NAUTY-SUMLINES(1)

NAME
nauty-sumlines - sum lines matching specified graph formats

SYNOPSIS
sumlines [-w|-W] [-v] [-d] [-n] [-f fmtfile]... file file file ...

DESCRIPTION

    Sum lines matching specified formats.

Any number of input files can be given.
    "-" means stdin.

    If there are no files given, just stdin is assumed. File names can contain wildcards, in which case all matching files

    are used in numerically sorted order.

    Formats are read from four sources in this order: (1) Any files mentioned with -f on the command line (any number). (2) The file named in the environment variable SUMLINES.FMT (if any) (3) The file sumlines.fmt in the current directory (if it exists) (4) The file sumlines.fmt in the home directory (if it exists) All these are read if they exist and the results concatenated. Formats exactly matching earlier formats (except perhaps for flags)

    are not used.

Each format occupies exactly two lines.
    The first line gives a

    list of flags (DEFAULT FINAL ERROR UNIQUE COUNT CONTINUE NUMERIC SILENT ENDFILE P=# NOPREFIX BEFORE/.../ AFTER/.../ separated by spaces, commas or |s). The second line gives the format itself.

Example.
    This totals the summary lines of autoson runs:

DEFAULT
    # comment

cpu=%fu,%fs,%fx
    pf=%d

    There can also be blank lines and lines with only comments, but not between the flags line and the format itself.

-d don't read sumlines.fmt or ~/sumlines.fmt or $SUMLINES.FMT

-w suppresses warning messages about no matching lines or no

    matching final lines.

-W in addition, suppresses warning about missing cases.

-n don't write the number of matching lines for each format.

-v produces a list of all the formats.